DOVEADM-INDEXER(1)

NAME
doveadm-indexer - Commands related to managing the indexer process

SYNOPSIS

doveadm [GLOBAL OPTIONS] indexer command [OPTIONS] [ARGUMENTS]

DESCRIPTION

doveadm indexer can be used to manage the indexer process.

GLOBAL OPTIONS

Global doveadm(1) options:

-D

        Enables verbosity and debug messages.

-O

        Do not read any config file, just use defaults. The dovecot_storage_version setting defaults to the latest version, but can be overridden with -o.

-k

        Preserve entire environment for doveadm, not just import_environment setting.

-v

        Enables verbosity, including progress counter.

-i instance-name

        If using multiple Dovecot instances, choose the config file based on this instance name.

        See instance_name setting for more information.

-c config-file

        Read configuration from the given config-file. By default it first reads config socket, and then falls back to /etc/dovecot/dovecot.conf. You can also point this to config socket of some instance running compatible version.

-o setting=value

        Overrides the configuration setting from /etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

-f formatter

        Specifies the formatter for formatting the output. Supported formatters are:

        flow

            prints each line with key=value pairs.

json

    prints a JSON array of JSON objects.

pager

    prints each key: value pair on its own line and separates records with form feed character (^L).

tab

    prints a table header followed by tab separated value lines.

table

    prints a table header followed by adjusted value lines.

COMMANDS

  indexer add

doveadm [GLOBAL OPTIONS] indexer add [-h] [-n max_recent] user mailbox

Add indexing request for the given user and the mailbox to the indexer queue. It works the same as the doveadm index -q command.

-h

        Add the indexing request to the head of the queue. By default the request is added to the tail of the queue.

-n max_recent

        An integer value, which specifies the maximum number of \Recent messages in mailboxes. If the mailbox contains more than max_recent messages with \Recent flag set, the mailbox will not be indexed. This may be useful to avoid unnecessary indexing for large mailboxes that are never opened.

  indexer remove

doveadm [GLOBAL OPTIONS] indexer remove user_mask [mailbox_mask]

Remove all indexer requests for the matching user_mask (and mailbox_mask). It's possible to use wildcards. Requests that are currently processed by indexer-worker are not listed; use doveadm kick instead to kick them.

  indexer list

doveadm [GLOBAL OPTIONS] indexer list user_mask

List all the queued indexing requests matching user_mask. It's possible to use wildcards. Requests that are currently processed by indexer-worker are not listed; use doveadm who instead to see them.

REPORTING BUGS

Report bugs, including doveconf -n output, to the Dovecot Mailing List ⟨dovecot@dovecot.org⟩. Information about reporting bugs is available at: ⟨https://dovecot.org/bugreport.html⟩

SEE ALSO

doveadm(1)